INTERFACE
  SUBROUTINE ADVPNT(K1,K2,DELT,DT,TF,KNUM,TRAJ,BACK,RESET,XP,YP,ZP,UP,VP,WP)
  IMPLICIT NONE
  INTEGER, INTENT(IN)    :: k1,k2           ! last and next time index
  INTEGER, INTENT(IN)    :: delt            ! default integration step (sec)
  INTEGER, INTENT(INOUT) :: dt              ! adjusted integration step (sec)
  REAL,    INTENT(IN)    :: tf              ! time interpolation factor
  INTEGER, INTENT(IN)    :: knum            ! integration counter
  LOGICAL, INTENT(IN)    :: traj            ! flag to turn off dispersion
  LOGICAL, INTENT(IN)    :: back            ! integration direction
  LOGICAL, INTENT(INOUT) :: reset           ! flag to reset time step
  REAL,    INTENT(INOUT) :: xp,yp,zp        ! particle position
  REAL,    INTENT(INOUT) :: up,vp,wp        ! turbulent velocities
  END SUBROUTINE advpnt

  SUBROUTINE PARDSP(k1,k2,tf,dt,np,nrand,delh,xpos,ypos,zpos,  &
                    uprime,vprime,wprime,wratio)
  IMPLICIT NONE
  INTEGER,      INTENT(IN)     :: k1,k2       ! time index (previous and next)
  REAL,         INTENT(IN)     :: tf          ! time interpolation factor
  INTEGER,      INTENT(IN)     :: dt          ! advection time step (sec)
  INTEGER,      INTENT(IN)     :: np          ! sequential particle number
  INTEGER,      INTENT(IN)     :: nrand       ! index pointer for random number
  REAL,         INTENT(IN)     :: delh        ! vertical cell spacing (m)
  REAL,         INTENT(IN)     :: xpos        ! EW horizontal particle position
  REAL,         INTENT(IN)     :: ypos        ! NS horizontal particle position
  REAL,         INTENT(IN)     :: zpos        ! vertical particle position
  REAL,         INTENT(INOUT)  :: uprime      ! u' turbulent velocity (x)
  REAL,         INTENT(INOUT)  :: vprime      ! v' turbulent velocity (y)
  REAL,         INTENT(INOUT)  :: wprime      ! w' turbulent velocity (z)
  REAL,         INTENT(INOUT)  :: wratio      ! w'/sigw
  END SUBROUTINE pardsp
END INTERFACE
