#!/bin/sh

# ----------------------------- EXECUTION ----------------------->
# export OMP_NUM_THREADS=4

# ----------------------------- DIAGNOSTICS --------------------->
DIA="-Wall -fbounds-check -pedantic-errors -Wunderflow -O -fbacktrace -g"

# ----------------------------- MAP LIBRARY --------------------->
# www.arl.noaa.gov/wp_arl/wp-content/uploads/utilities/cmap/cmapf.v1_0.tar.gz
# www.iamg.org/documents/oldftp/VOL23/v23-1-5.tar.Z
MAP="../mapping/libcmapf.a"

OPT="-ffree-form -fconvert=big-endian -frecord-marker=4"
gfortran -oadapt -fopenmp ${OPT} adapt.f ${MAP} 

rm *.mod
mv adapt ../adapt
