!-------------------------------------------------------------------------------
! Output trajectory endpoints to disk
!-------------------------------------------------------------------------------
! Last Revised: 29 Oct 2020
!               18 Nov 2020 - generalized time variable
!               28 Dec 2020 - process four digit year
!-------------------------------------------------------------------------------

SUBROUTINE TRJDSK(JUNIT,DATEMET,HRS,TLAT,TLON,TZHT,TMETV)

  IMPLICIT NONE

  INTEGER,  INTENT(IN) :: junit         ! output file unit number       
  INTEGER,  INTENT(IN) :: datemet(6)    ! trajectory date and time
  REAL,     INTENT(IN) :: hrs           ! trajectory age from start
  REAL,     INTENT(IN) :: tlat,tlon     ! trajectory position   
  REAL,     INTENT(IN) :: tzht          ! trajectory height AGL
  REAL,     INTENT(IN) :: tmetv         ! trajectory diagnostic variable

  INTEGER,   PARAMETER :: ktrj = 1      ! trajectory sequence number
  INTEGER,   PARAMETER :: kgrd = 1      ! trajectory meteorological grid

  INTEGER              :: yy            ! four digit year

!-------------------------------------------------------------------------------

  yy=datemet(1)-(datemet(1)/100)*100
  WRITE(JUNIT,'(8I6,F8.1,2F9.3,11(1X,F8.1))') &
        KTRJ,KGRD,YY,DATEMET(2:6),HRS,TLAT,TLON,TZHT,TMETV

END SUBROUTINE trjdsk
